Package org.kapott.hbci.sepa.jaxb.camt_052_001_01

# Enum BalanceType8Code

java.lang.Object
java.lang.Enum<BalanceType8Code>
org.kapott.hbci.sepa.jaxb.camt_052_001_01.BalanceType8Code

All Implemented Interfaces:
  `Serializable`, `Comparable<BalanceType8Code>`, `java.lang.constant.Constable`

public enum BalanceType8Code extends Enum<BalanceType8Code>

Java class for BalanceType8Code.

The following schema fragment specifies the expected content contained within this class.

     <simpleType name="BalanceType8Code">
       <restriction base="{http://www.w3.org/2001/XMLSchema}string">
         <enumeration value="OPBD"/>
         <enumeration value="ITBD"/>
         <enumeration value="CLBD"/>
         <enumeration value="XPCD"/>
         <enumeration value="OPAV"/>
         <enumeration value="ITAV"/>
         <enumeration value="CLAV"/>
         <enumeration value="FWAV"/>
         <enumeration value="PRCD"/>
         <enumeration value="IOPA"/>
         <enumeration value="IITA"/>
         <enumeration value="ICLA"/>
         <enumeration value="IFWA"/>
         <enumeration value="ICLB"/>
         <enumeration value="IITB"/>
         <enumeration value="IOPB"/>
         <enumeration value="IXPC"/>
         <enumeration value="DOPA"/>
         <enumeration value="DITA"/>
         <enumeration value="DCLA"/>
         <enumeration value="DFWA"/>
         <enumeration value="DCLB"/>
         <enumeration value="DITB"/>
         <enumeration value="DOPB"/>
         <enumeration value="DXPC"/>
         <enumeration value="COPA"/>
         <enumeration value="CITA"/>
         <enumeration value="CCLA"/>
         <enumeration value="CFWA"/>
         <enumeration value="CCLB"/>
         <enumeration value="CITB"/>
         <enumeration value="COPB"/>
         <enumeration value="CXPC"/>
       </restriction>
     </simpleType>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`CCLA`
`CCLB`
`CFWA`
`CITA`
`CITB`
`CLAV`
`CLBD`
`COPA`
`COPB`
`CXPC`
`DCLA`
`DCLB`
`DFWA`
`DITA`
`DITB`
`DOPA`
`DOPB`
`DXPC`
`FWAV`
`ICLA`
`ICLB`
`IFWA`
`IITA`
`IITB`
`IOPA`
`IOPB`
`ITAV`
`ITBD`
`IXPC`
`OPAV`
`OPBD`
`PRCD`
`XPCD`

## Method Summary

Modifier and Type
Method
Description
`static BalanceType8Code`
`fromValue(String v)`
`String`
`value()`
`static BalanceType8Code`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static BalanceType8Code[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### OPBD

public static final BalanceType8Code OPBD

### ITBD

public static final BalanceType8Code ITBD

### CLBD

public static final BalanceType8Code CLBD

### XPCD

public static final BalanceType8Code XPCD

### OPAV

public static final BalanceType8Code OPAV

### ITAV

public static final BalanceType8Code ITAV

### CLAV

public static final BalanceType8Code CLAV

### FWAV

public static final BalanceType8Code FWAV

### PRCD

public static final BalanceType8Code PRCD

### IOPA

public static final BalanceType8Code IOPA

### IITA

public static final BalanceType8Code IITA

### ICLA

public static final BalanceType8Code ICLA

### IFWA

public static final BalanceType8Code IFWA

### ICLB

public static final BalanceType8Code ICLB

### IITB

public static final BalanceType8Code IITB

### IOPB

public static final BalanceType8Code IOPB

### IXPC

public static final BalanceType8Code IXPC

### DOPA

public static final BalanceType8Code DOPA

### DITA

public static final BalanceType8Code DITA

### DCLA

public static final BalanceType8Code DCLA

### DFWA

public static final BalanceType8Code DFWA

### DCLB

public static final BalanceType8Code DCLB

### DITB

public static final BalanceType8Code DITB

### DOPB

public static final BalanceType8Code DOPB

### DXPC

public static final BalanceType8Code DXPC

### COPA

public static final BalanceType8Code COPA

### CITA

public static final BalanceType8Code CITA

### CCLA

public static final BalanceType8Code CCLA

### CFWA

public static final BalanceType8Code CFWA

### CCLB

public static final BalanceType8Code CCLB

### CITB

public static final BalanceType8Code CITB

### COPB

public static final BalanceType8Code COPB

### CXPC

public static final BalanceType8Code CXPC

## Method Details

### values

public static BalanceType8Code[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static BalanceType8Code valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

### value

public String value()

### fromValue

public static BalanceType8Code fromValue(String v)